import React from "react";
import { PredicateFormulaEditor } from "gabby-query-protocol-lib";
import type { TSerializedPredicateTree } from "gabby-query-protocol-lib";
import { TPredicateOperatorLabels } from "../type";
import type { TPredicateFormulaEditorContextType } from "./type";
declare type Props = {
    children?: React.ReactNode;
    predicateFormulaEditor: PredicateFormulaEditor;
    operatorLabels?: TPredicateOperatorLabels;
    onChange?: (flatTree: TSerializedPredicateTree) => void;
};
declare const PredicateFormulaEditorContext: {
    context: React.Context<TPredicateFormulaEditorContextType>;
    Provider: ({ children, onChange, operatorLabels, predicateFormulaEditor, }: Props) => JSX.Element;
};
export { PredicateFormulaEditorContext };
