import type { TProjectionPropertiesUpdatable } from "gabby-query-protocol-projection";
import type { TProjectionItemProperties } from "../context";
export interface IUseProjectionSubjects {
    addProjectionItem: (projectionItem: TProjectionItemProperties) => string;
    getProjectedItem: (projectionId: string) => TProjectionItemProperties;
    removeProjectionItem: (projectionKey: string) => void;
    updateProjectedItem: (projectionKey: string, updateProps: TProjectionPropertiesUpdatable) => void;
}
export declare const useProjectionSubjects: () => IUseProjectionSubjects;
