"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useProjectionSubjects = void 0;
/* eslint-disable import/prefer-default-export */
var react_1 = __importDefault(require("react"));
var context_1 = require("../context");
var useProjectionSubjects = function () {
    var _a = react_1.default.useContext(context_1.ProjectionContext.context), addProjectionItem = _a.addProjectionItem, projectionEditor = _a.projectionEditor, removeProjectionItem = _a.removeProjectionItem, updateProjectionSubject = _a.updateProjectionSubject;
    return {
        addProjectionItem: addProjectionItem,
        getProjectedItem: function (projectionId) {
            return projectionEditor.getProjectionSubject(projectionId) || null;
        },
        removeProjectionItem: removeProjectionItem,
        updateProjectedItem: updateProjectionSubject,
    };
};
exports.useProjectionSubjects = useProjectionSubjects;
//# sourceMappingURL=useProjectionSubjects.js.map