import type { TPredicatePropertiesJunction, TPredicateNode } from "gabby-query-protocol-lib";
import { TPredicatePropertiesGeneric } from "../type";
export interface IUseJunctionProperties {
    appendPredicate: (newPredicate: TPredicatePropertiesGeneric) => string;
    getChildrenIds: () => string[];
    getChildIdsOf: (predicateId: string) => string[];
    getJunctionProperties: () => TPredicatePropertiesJunction;
    getPredicateById: (predicateId: string) => TPredicateNode | null;
    isBranchNode: boolean;
    isRoot: boolean;
    removeCurrentPredicateJunction: () => void;
    setConjunction: () => void;
    setDisjunction: () => void;
}
export declare const useJunctionProperties: (predicateId: string) => IUseJunctionProperties;
