import type { TPredicateFormulaEditorContextType } from "./context";
import { PredicateFormulaEditorContext } from "./context";
declare const PredicateFormulaEditorContextHooks: {
    usePredicateProperties: (predicateId: string) => import("./hooks/usePredicateProperties").IUsePredicateProperties;
    useJunctionProperties: (predicateId: string) => import("./hooks/useJunctionProperties").IUseJunctionProperties;
    usePredicateTreeUtilities: () => import("./hooks/usePredicateTreeUtilities").IUsePredicateTreeUtilities;
};
export { PredicateFormulaEditorContextHooks, PredicateFormulaEditorContext };
export type { TPredicateFormulaEditorContextType };
export type { TPredicateOperatorLabels } from "./type";
