import * as React from "react";
import type { IProjectionEditor } from "gabby-query-protocol-projection";
import type { TProjectionContextType } from "./type";
declare type Props = {
    children?: React.ReactNode;
    projectionEditor: IProjectionEditor;
};
declare const ProjectionContext: {
    context: React.Context<TProjectionContextType>;
    Provider: ({ children, projectionEditor, }: Props) => JSX.Element;
};
export { ProjectionContext };
