import type { TProjectionDictionary, IProjectableSubjectDictionary } from "gabby-query-protocol-projection";
import type { TProjectionItemProperties } from "../context";
export interface IUseProjectionUtilities {
    getColumnOrderedProjectionDictionary: () => TProjectionDictionary;
    getProjectableSubjectDictionary: () => IProjectableSubjectDictionary;
    makeDefaultProjectionItem: () => TProjectionItemProperties;
    getProjectionAsJson: () => TProjectionItemProperties[];
}
export declare const useProjectionUtilities: () => IUseProjectionUtilities;
