"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProjectionContext = exports.PredicateFormulaEditorContextHooks = exports.PredicateFormulaEditorContext = exports.ProjectionContextHooks = exports.opLabelsI18N = exports.GABBY_CONSTS = exports.GABBY_EXAMPLE_JSON_BLUE_SKIES = void 0;
// ------------------ projection
var gabby_query_protocol_projection_1 = require("gabby-query-protocol-projection");
var Projections_1 = require("./Projections");
Object.defineProperty(exports, "ProjectionContext", { enumerable: true, get: function () { return Projections_1.ProjectionContext; } });
// ------------------ Predicate Formula
var gabby_query_protocol_lib_1 = require("gabby-query-protocol-lib");
var PredicateFormula_1 = require("./PredicateFormula");
Object.defineProperty(exports, "PredicateFormulaEditorContextHooks", { enumerable: true, get: function () { return PredicateFormula_1.PredicateFormulaEditorContextHooks; } });
Object.defineProperty(exports, "PredicateFormulaEditorContext", { enumerable: true, get: function () { return PredicateFormula_1.PredicateFormulaEditorContext; } });
// ------------------ Misc
var opLabelsI18N = __importStar(require("./external-resources/operator-labels"));
exports.opLabelsI18N = opLabelsI18N;
var GABBY_EXAMPLE_JSON_BLUE_SKIES = {
    LIB: gabby_query_protocol_lib_1.EXAMPLE_JSON_BLUE_SKIES,
    PROJECTION: gabby_query_protocol_projection_1.EXAMPLE_JSON_BLUE_SKIES,
};
exports.GABBY_EXAMPLE_JSON_BLUE_SKIES = GABBY_EXAMPLE_JSON_BLUE_SKIES;
var GABBY_CONSTS = {
    LIB: gabby_query_protocol_lib_1.CONSTS,
    PROJECTION: gabby_query_protocol_projection_1.CONSTS,
};
exports.GABBY_CONSTS = GABBY_CONSTS;
exports.ProjectionContextHooks = {
    useProjectionSubjects: Projections_1.useProjectionSubjects,
    useProjectionUtilities: Projections_1.useProjectionUtilities,
};
//# sourceMappingURL=index.js.map